> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get worker additional fields for (EOR)

GET https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/{country_code}

Retrieves the additional form fields required when onboarding EOR workers in the specified country.

 **Token scopes**: `forms:read`

Reference: https://developer.deel.com/api/reference/endpoints/forms/get-worker-additional-fields-for-eor-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `country_code` (string, required) — Country code

## Response

### 200

Successful operation.

- `data` (list of FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItems, required) — Array of field configuration objects

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItems

- `key` (string, required) — Unique identifier for the field
- `type` (string, required) — Data type of the field
- `ui_guide` (FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsUiGuide, required) — UI guidelines for rendering the field
- `validation` (list of FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsValidationItems, required) — Array of validation rules to apply to the field input
- `is_required` (boolean, required) — Indicates if the field is required
- `dependencies` (list of FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItems, required) — Array of field dependencies that determine when this field should be displayed
- `required_by` (string, optional) — Indicates when the field is required (e.g., sign_up, contract_signing)
- `values_allowed` (list of string, optional) — List of allowed values for select fields

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsUiGuide

UI guidelines for rendering the field

- `label` (string, required) — The primary label for the field
- `order` (integer, required) — Display order of the field in the UI
- `field_type` (string, required) — Type of the input field in the UI
- `description` (string, required) — Additional description for the field UI
- `helper_text` (string, optional) — Helper text to guide user input
- `local_label` (string, optional) — Localized version of the field label

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsValidationItems

Validation rules for the field

- `type` (string, required) — Type of the validation
- `error_message` (string, required) — Error message shown if the validation fails
- `value` (string, optional) — Value to be used in the validation according to the type

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItems

- `key` (string, required) — Unique identifier for the dependant field
- `value` (FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItemsValue, required) — Value expected from dependant in order to display field. Can be a plain value or an object with an operator.

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItemsValue

Value expected from dependant in order to display field. Can be a plain value or an object with an operator.

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItemsValue1

- `op` (string, required) — Comparison operator (e.g., gt, gte, lt, lte, eq, neq)
- `value` (FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItemsValueOneOf1Value, required)

### FormsEorWorkerAdditionalFieldsCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsDependenciesItemsValueOneOf1Value

## Examples

**Response**

```json
{
  "data": [
    {
      "key": "additional_name",
      "type": "string",
      "ui_guide": {
        "label": "Preferred Name / Additional Name",
        "order": 3,
        "field_type": "text",
        "description": "",
        "helper_text": "",
        "local_label": "Imię preferowane"
      },
      "validation": [
        {
          "type": "REGEX",
          "error_message": "Review the value entered",
          "value": "^.*$"
        }
      ],
      "is_required": false,
      "dependencies": [],
      "required_by": "sign_up"
    },
    {
      "key": "dob",
      "type": "string",
      "ui_guide": {
        "label": "Date of Birth",
        "order": 4,
        "field_type": "date",
        "description": "",
        "helper_text": "",
        "local_label": "Data urodzenia"
      },
      "validation": [
        {
          "type": "REGEX",
          "error_message": "Review the value entered",
          "value": "^.*$"
        }
      ],
      "is_required": true,
      "dependencies": [
        {
          "key": "country",
          "value": "UK"
        }
      ],
      "required_by": "contract_signing"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/forms/eor/worker-additional-fields/de")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```